- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
KEY2Parser.cpp File Reference
`#include "KEY2Parser.h"`
`#include <cassert>`
`#include "libetonyek_utils.h"`
`#include "libetonyek_xml.h"`
`#include "IWORKChainedTokenizer.h"`
`#include "IWORKDiscardContext.h"`
`#include "IWORKGeometryElement.h"`
`#include "IWORKGroupElement.h"`
`#include "IWORKImageElement.h"`
`#include "IWORKLineElement.h"`
`#include "IWORKMediaElement.h"`
`#include "IWORKPath.h"`
`#include "IWORKPathElement.h"`
`#include "IWORKPositionElement.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKStyle.h"`
`#include "IWORKShapeContext.h"`
`#include "IWORKSizeElement.h"`
`#include "IWORKStringElement.h"`
`#include "IWORKStyleRefContext.h"`
`#include "IWORKStylesContext.h"`
`#include "IWORKStylesheetBase.h"`
`#include "IWORKTabularInfoElement.h"`
`#include "IWORKText.h"`
`#include "IWORKTextElement.h"`
`#include "IWORKTextBodyElement.h"`
`#include "IWORKTextStorageElement.h"`
`#include "IWORKToken.h"`
`#include "IWORKTypes.h"`
`#include "KEY2Dictionary.h"`
`#include "KEY2ParserState.h"`
`#include "KEY2StyleContext.h"`
`#include "KEY2Token.h"`
`#include "KEY2XMLContextBase.h"`
`#include "KEYCollector.h"`
`#include "KEYTypes.h"`

## Namespaces
| libetonyek

## Variable Documentation

boost::optional<std::string> m_author
| private

boost::optional<std::string> m_comment
| private

IWORKImagePtr_t m_image
| private

boost::optional<std::string> m_keywords
| private

optional<ID_t> m_parent
| private

bool m_pendingSize
| private

optional<ID_t> m_ref
| private

IWORKStylesheetPtr_t m_savedStylesheet
| private

optional<IWORKSize> m_size
| private

KEY2ParserState& m_state
| private

optional<ID_t> m_styleRef
| private

const bool m_title
| private

optional<string>& m_value
| private